#!/usr/bin/env python

import sys

def main(argv):
    if len(argv) == 0:
        num_stmts = 20000
    else:
        num_stmts = int(argv[0])

    print "\\timing"
    print "DO $$"
    print "DECLARE"
    print "    ts1 timestamp;"
    print "    ts2 timestamp;"
    print "    dummy integer;"
    print "BEGIN"
    print "    SELECT timeofday() INTO ts1;"
    print "    RAISE NOTICE 'start: %', ts1;"

    for i in range(0, num_stmts):
        print "    SELECT %d INTO dummy;"%i

    print "    SELECT timeofday() INTO ts2;"
    print "    RAISE NOTICE 'end: %', ts2;"
    print "    RAISE NOTICE 'duration: %', (ts2 - ts1);"
    print "END;"
    print "$$;"

if __name__ == '__main__':
    sys.exit(main(sys.argv[1:]))
